org.apache.http.client.protocol

## Class ResponseContentEncoding

- java.lang.Object
- - org.apache.http.client.protocol.ResponseContentEncoding

- All Implemented Interfaces:
    HttpResponseInterceptor

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class ResponseContentEncoding
      extends Object
      implements HttpResponseInterceptor

  负责处理内容编码响应的`HttpResponseInterceptor` 。

  这个类的实例是无状态的和不可变的，因此线程安全。

  从以下版本开始：
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `UNCOMPRESSED`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ResponseContentEncoding()` 处理`gzip`和`deflate`压缩实体通过使用以下解码器：gzip - 请参阅`GZIPInputStream`放气 - 见`DeflateInputStream`
    `ResponseContentEncoding(boolean ignoreUnknown)`
    `ResponseContentEncoding(Lookup<InputStreamFactory> decoderRegistry)`
    `ResponseContentEncoding(Lookup<InputStreamFactory> decoderRegistry, boolean ignoreUnknown)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpResponse response, HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### UNCOMPRESSED

          public static final String UNCOMPRESSED

      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### ResponseContentEncoding

          public ResponseContentEncoding(Lookup<InputStreamFactory> decoderRegistry,
                                 boolean ignoreUnknown)

      从以下版本开始：
        4.5

    - #### ResponseContentEncoding

          public ResponseContentEncoding(boolean ignoreUnknown)

      从以下版本开始：
        4.5

    - #### ResponseContentEncoding

          public ResponseContentEncoding(Lookup<InputStreamFactory> decoderRegistry)

      从以下版本开始：
        4.4

    - #### ResponseContentEncoding

          public ResponseContentEncoding()

      处理`gzip`和`deflate`使用以下解码器的压缩实体：
      - gzip - 请参阅`GZIPInputStream`
      - 放气 - 见`DeflateInputStream`

  - ### 方法详细信息

    - #### process

          public void process(HttpResponse response,
                     HttpContext context)
                       throws HttpException,
                              IOException

      Specified by:
        `process`在接口 `HttpResponseInterceptor`
      异常
        `HttpException`
        `IOException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585